/*
	Delete Required (Missing) Updates and Installed Updates results.
	They have been added to Software Updates Results

  !! Make sure to set the @SnapshotID below to the number in the URL of the snapshot you want to migrate

*/

/*!!!!!!!!!!!!!!!!!!!!!*/
DECLARE @SnapshotID int = 15 -- <<<< Set this to the number in the URL of the snapshot you want to migrate
/*!!!!!!!!!!!!!!!!!!!!!*/

DELETE aer
FROM rct.SnapshotConfigs sc
INNER JOIN rct.ActionExecutionGroups aeg ON aeg.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ClientSideFilters csf ON csf.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ActionExecutionSet aes ON aes.ActionExecutionGroupID = aeg.id
INNER JOIN dbo.ActionExecutions ae ON aes.ActionExecutionID = ae.id
INNER JOIN dbo.ActionExecutionResults aer ON aer.ActionExecutionID = ae.id
INNER JOIN dbo.RecastActions ra ON ra.Id = ae.ActionID
WHERE sc.type = 4
	AND ra.[name] IN (
		'GetInstalledSoftwareUpdates'
		,'GetRequiredSoftwareUpdates'
		)
	AND aeg.ID = @SnapshotID