/*
Create and populate a staging table for DeviceCollectionMembers Results for SUDS snapshots

!! Make sure to set the @SnapshotID below to the number in the URL of the snapshot you want to migrate
*/

IF EXISTS (
		SELECT *
		FROM sys.objects
		WHERE object_id = OBJECT_ID(N'[dbo].[stgDeviceCollectionMembers]')
			AND type IN (N'U')
		)
	DROP TABLE [dbo].[stgDeviceCollectionMembers]
GO

CREATE TABLE [dbo].[stgDeviceCollectionMembers] (
	SnapshotConfigID INT NOT NULL
	,[ResourceID] [nvarchar](4000) NOT NULL
	) ON [PRIMARY]
GO

/*!!!!!!!!!!!!!!!!!!!!!*/
DECLARE @SnapshotID int = 15 -- <<<< Set this to the number in the URL of the snapshot you want to migrate
/*!!!!!!!!!!!!!!!!!!!!!*/

INSERT INTO [dbo].[stgDeviceCollectionMembers] (
	[SnapshotConfigID]
	,[ResourceID]
	)
SELECT DISTINCT sc.SnapshotConfigID
	,JSON_VALUE(aer.serializedValue, '$.ResourceID') AS ResourceID
FROM rct.SnapshotConfigs sc
INNER JOIN rct.ActionExecutionGroups aeg ON aeg.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ActionExecutionSet aes ON aes.ActionExecutionGroupID = aeg.id
INNER JOIN dbo.ActionExecutions ae ON aes.ActionExecutionID = ae.id
INNER JOIN dbo.ActionExecutionResults aer ON aer.ActionExecutionID = ae.id
INNER JOIN dbo.RecastActions ra ON ra.Id = ae.ActionID
WHERE sc.type = 4
	AND ra.[name] = 'GetDeviceCollectionMembers'
	AND aer.serializedValue IS NOT NULL
	and aeg.ID = @SnapshotID