/*
Update GetAllSoftwareUpdates JSON results to be inside an Update node

!! Make sure to set the @SnapshotID below to the number in the URL of the snapshot you want to migrate

*/

/*!!!!!!!!!!!!!!!!!!!!!*/
DECLARE @SnapshotID int = 15 -- <<<< Set this to the number in the URL of the snapshot you want to migrate
/*!!!!!!!!!!!!!!!!!!!!!*/

UPDATE aer
SET SerializedValue = '{"Update":' + JSON_QUERY(aer.SerializedValue) + '}'
FROM rct.SnapshotConfigs sc
INNER JOIN rct.ActionExecutionGroups aeg ON aeg.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ActionExecutionSet aes ON aes.ActionExecutionGroupID = aeg.id
INNER JOIN dbo.ActionExecutions ae ON aes.ActionExecutionID = ae.id
INNER JOIN dbo.ActionExecutionResults aer ON aer.ActionExecutionID = ae.id
INNER JOIN dbo.RecastActions ra ON ra.Id = ae.ActionID
WHERE sc.type = 4
	AND ra.[name] = 'GetAllSoftwareUpdates'
	AND aer.SerializedValue IS NOT NULL
	AND aeg.ID = @SnapshotID