/*
Delete all software updates that do not have matching resource ids that have missing or installed updates

!! Make sure to set the @SnapshotID below to the number in the URL of the snapshot you want to migrate

*/

/*!!!!!!!!!!!!!!!!!!!!!*/
DECLARE @SnapshotID int = 15 -- <<<< Set this to the number in the URL of the snapshot you want to migrate
/*!!!!!!!!!!!!!!!!!!!!!*/

DELETE aer
FROM rct.SnapshotConfigs sc
INNER JOIN rct.ActionExecutionGroups aeg ON aeg.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ActionExecutionSet aes ON aes.ActionExecutionGroupID = aeg.id
INNER JOIN dbo.ActionExecutions ae ON aes.ActionExecutionID = ae.id
INNER JOIN dbo.ActionExecutionResults aer ON aer.ActionExecutionID = ae.id
INNER JOIN dbo.RecastActions ra ON ra.Id = ae.ActionID
WHERE sc.type = 4
	AND JSON_VALUE(aer.SerializedValue, '$.DeviceResourceIdsMissingUpdate[0]') IS NULL
	AND JSON_VALUE(aer.SerializedValue, '$.DeviceResourceIdsWithUpdateInstalled[0]') IS NULL
	AND ra.[name] = 'GetAllSoftwareUpdates'
	AND aeg.ID = @SnapshotID
