/*
  Update Action Executions with the new Recast Action to be used with SUDS snapshots

  !! Make sure to set the @SnapshotID below to the number in the URL of the snapshot you want to migrate

*/

/*!!!!!!!!!!!!!!!!!!!!!*/
DECLARE @SnapshotID int = 15 -- <<<< Set this to the number in the URL of the snapshot you want to migrate
/*!!!!!!!!!!!!!!!!!!!!!*/

DECLARE @newactionid INT

SELECT @newactionid = Id
FROM dbo.RecastActions
WHERE [name] = 'GetDeviceCollectionMembersByCollections'

UPDATE ae
SET actionid = @newactionid
FROM rct.SnapshotConfigs sc
INNER JOIN rct.ActionExecutionGroups aeg ON aeg.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ClientSideFilters csf ON csf.SnapshotConfigID = sc.SnapshotConfigID
INNER JOIN rct.ActionExecutionSet aes ON aes.ActionExecutionGroupID = aeg.id
INNER JOIN dbo.ActionExecutions ae ON aes.ActionExecutionID = ae.id
INNER JOIN dbo.ActionExecutionResults aer ON aer.ActionExecutionID = ae.id
INNER JOIN dbo.RecastActions ra ON ra.Id = ae.ActionID
WHERE sc.type = 4
	AND ra.[name] = 'GetDeviceCollectionMembers'
	AND aeg.ID = @SnapshotID